Name:           gorm
Version:        1.2.12
Release:        2%{?dist}
Summary:        The GNUstep graphical interface builder

Group:          Development/Tools
License:        GPLv3+
URL:            http://www.gnustep.org
Source0:        ftp://ftp.gnustep.org/pub/gnustep/dev-apps/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gcc-objc texinfo-tex
BuildRequires:  gnustep-make gnustep-base-devel gnustep-gui-devel

Requires:       gnustep-gui

%description
Gorm is a acronym for GNUstep/Graphical Object Relationship Modeler,
It is a clone of the NextStep 'Interface Builder' application for GNUstep
With Gorm, a developer can build an interface very quickly and easily with
no code.

%package devel
Summary:        Header and libraries for Gorm
Requires:       %{name} = %{version}-%{release}
Group:          Development/Tools
%description devel
Gorm is a acronym for GNUstep/Graphical Object Relationship Modeler,
It is a clone of the NextStep 'Interface Builder' application for GNUstep
With Gorm, a developer can build an interface very quickly and easily with
no code.

This package contains header files and development libraries for Gorm

%package doc
Summary:        Documentation for Gorm
Requires:       %{name} = %{version}-%{release}
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info
BuildArch:      noarch

%description doc
Gorm is a acronym for GNUstep/Graphical Object Relationship Modeler,
It is a clone of the NextStep 'Interface Builder' application for GNUstep
With Gorm, a developer can build an interface very quickly and easily with
no code.

This package contains the documentation for Gorm

%prep
%setup -q

%build
make %{?_smp_mflags} messages=yes \
  GNUSTEP_MAKEFILES=%{_libdir}/GNUstep/Makefiles

cd Documentation
make messages=yes \
  GNUSTEP_MAKEFILES=%{_libdir}/GNUstep/Makefiles

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT \
  GNUSTEP_MAKEFILES=%{_libdir}/GNUstep/Makefiles \
  GNUSTEP_INSTALLATION_DOMAIN=SYSTEM

cd Documentation
make install messages=yes DESTDIR=$RPM_BUILD_ROOT \
  GNUSTEP_MAKEFILES=%{_libdir}/GNUstep/Makefiles \
  GNUSTEP_INSTALLATION_DOMAIN=SYSTEM

cd $RPM_BUILD_ROOT/%{_datadir}/GNUstep/Documentation
rm ANNOUNCE
rm INSTALL
rm NEWS
rm README

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig 

%post doc
/sbin/install-info %{_infodir}/Gorm.info.gz %{_infodir}/dir || :

%preun doc
if [ "$1" = 0 ]; then
   /sbin/install-info --delete %{_infodir}/Gorm.info.gz %{_infodir}/dir || :
fi

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_bindir}/Gorm
%{_libdir}/GNUstep/Applications/Gorm.app
%{_libdir}/libGorm.so.*
%{_libdir}/libGormCore.so.*
%{_libdir}/libGormObjCHeaderParser.so.*
%{_libdir}/libGormPrefs.so.*

%doc ANNOUNCE COPYING NEWS NOTICE README TODO

%files devel
%defattr(-,root,root,-)
%{_includedir}/GormCore/
%{_includedir}/GormObjCHeaderParser/
%{_includedir}/GormPrefs/
%{_includedir}/InterfaceBuilder/
%{_libdir}/libGorm.so
%{_libdir}/libGormCore.so
%{_libdir}/libGormObjCHeaderParser.so
%{_libdir}/libGormPrefs.so

%files doc
%defattr(-,root,root,-)
%{_datadir}/GNUstep/Documentation/Gorm*
%{_infodir}/Gorm.info.gz

%changelog
* Mon Nov  1 2010 Jochen Schmitt <Jochen herr-schmitt de> 1.2.12-2
- Fix license tag
- untabify SPEC file
- Fix typo

* Wed Sep 22 2010 Jochen Schmitt <Jochen herr-schmitt de> 1.2.12-1
- Initial RPM package for Fedora

